Subject: bug#70817: 14.0.3.2024-03-17; max-lisp-eval-depth exceeded with XeTeX option

From: Arash Esbati <[email-masked]>
Date: Wed, 08 May 2024 16:41:50 +0200

"Landis Florian (ladi)" <[email-masked]> writes:

> Hi Arash, dear all,
>
> I now did the uninstall, restart, reinstall. With -Q switch and evaluating 
>
>    (progn
>       (package-initialize t)
>       (package-activate 'auctex))
> I open the file (which still works smoothly) and run 'M-x
> list-load-path-shadows RET' to get:
>
> No Emacs Lisp load-path shadowings were found

Ok, so AUCTeX works just fine in a vanilla setup.

> With neither the  -Q switch nor above evaluations, I get 
>
> File local-variables error: (error Lisp nesting exceeds ‘max-lisp-eval-depth’)
>
> upon opening the file and 

So you get the issue when you start emacs with your setup, right?  If
so, we have dig through your config file.

You can try 2 things:

• Restart Emacs, do 'M-x toggle-debug-on-error RET' and then open the
  file in order to trigger the issue.  See what the debugger says.
• Rename your init file and make a new one containing only your AUCTeX
  setup.  Then restart Emacs, do 'M-x toggle-debug-on-error RET' and
  open your .tex file again.

> <home>/.emacs.d/elpa/transient-20240506.1559/transient hides c:/Program Files/Emacs/emacs-28.1/share/emacs/28.1/lisp/transient
> <home>/.emacs.d/elpa/seq-2.24/seq hides c:/Program Files/Emacs/emacs-28.1/share/emacs/28.1/lisp/emacs-lisp/seq
>
> 2 Emacs Lisp load-path shadowings were found
>
> upon doing 'M-x list-load-path-shadow RET'.

This should be harmless.  transient and seq are both in Emacs core, but
I can't tell if with 28 or 29.  You can try to remove them from the
package interface, it will complain if they are needed as dependencies.

Best, Arash